PDA

View Full Version : Can you run Google Earth or/and Skype on 64 bit?



mdurham
December 7th, 2008, 11:30 PM
When running Skype or GoogleEarth I get this
error while loading shared libraries: libuuid.so.1: cannot open shared object file: No such file or directory

I'm using Ubuntu64
Cheers, Mike

amauk
December 7th, 2008, 11:38 PM
yes,
in fact I run both skype & google earth on 64bit
you do need the 32bit compatibility libraries, though

easiest way to get them, is to install wine
installing wine will pull in all the necessary 32bit libs
(you can then uninstall wine - and the 32bit libs will remain)

for skype, you need to download the generic linux binaries (Ie. not the pre-packaged deb that skype provides for Ubuntu)
download the generic binaries, bung them in your home folder (I use ~/apps for example)
and manually create a menu item for skype

ronacc
December 7th, 2008, 11:42 PM
I think we need to file a bug on that . libuuid is there just a later version , I and others have goten that error with several things .

amauk
December 7th, 2008, 11:45 PM
oops,
got to this thread through "new posts"
didn't realise it was about Jaunty

(just assumed it was in one of the beginners forums :oops:)

ronacc
December 8th, 2008, 01:04 AM
filed bug#306101 add your comments and confirm .

mdurham
December 8th, 2008, 01:37 AM
filed bug#306101 add your comments and confirm .
Will do.

Naddiseo
December 8th, 2008, 01:53 AM
See bug #298611

ronacc
December 8th, 2008, 02:22 AM
I am already at the version of the lib that they recommend to "fix" the problem , the 64bit build though not the i386.
thanks for the referecce though .

Naddiseo
December 8th, 2008, 03:23 AM
Yes, that bug is the 64bit issue. From what I can tell, it's the 32bit library for the 64bit platform.

ronacc
December 8th, 2008, 03:47 AM
ok I see what you are saying , the triager will mark it as a dupe , but the real problem resides with 64bit version of libuuid not the ia32pkg that bug 298611 points at .